Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11Module

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Module

public final class PK11Module
extends java.lang.Object

Field Summary
`private ModuleProxy` | `moduleProxy`
`private java.util.Vector` | `tokenVector`

Constructor Summary
`private` | `PK11Module()`
`private` | `PK11Module(byte[] pointer)` This constructor should only be called from native code.

Method Summary
`java.lang.String` | `getLibraryName()` Returns the name of the shared library implementing this module.
`java.lang.String` | `getName()` Returns the common name of this module.
`java.util.Enumeration` | `getTokens()` Get the CryptoTokens provided by this module.
`private void` | `putTokensInVector(java.util.Vector tokens)`
`void` | `reloadTokens()` Re-load the list of this module's tokens.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tokenVector

    private java.util.Vector tokenVector

### moduleProxy

    private ModuleProxy moduleProxy

Constructor Detail

### PK11Module

    private PK11Module()

### PK11Module

    private PK11Module(byte[] pointer)

  This constructor should only be called from native code.

Method Detail

### getName

    public java.lang.String getName()

  Returns the common name of this module.

### getLibraryName

    public java.lang.String getLibraryName()

  Returns the name of the shared library implementing this module.

### getTokens

    public java.util.Enumeration getTokens()

  Get the CryptoTokens provided by this module.

  Returns:
    An enumeration of CryptoTokens that come from this module.

### reloadTokens

    public void reloadTokens()

  Re-load the list of this module's tokens. This function is private to JSS.

### putTokensInVector

    private void putTokensInVector(java.util.Vector tokens)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD